Subject: [bitcoin-dev] easypaysy - A layer-two protocol to send payments without addresses

From: Jose Femenias <[email-masked]>
Date: Mon, 2 Dec 2019 15:00:57 +0100

Hi,

I have just released an early preview of easypaysy, a protocol for Bitcoin, that I have been working on for the past few months.

(In case you are wondering, easypaysy stands for EASY - PAYment- SYstem...)

Long story short, easypaysy is a layer-two protocol that allows the creation of non-custodial accounts directly on the blockchain, so that bitcoin addresses can fully disappear from the user experience.
In lieu of addresses, users send payments to permanent account IDs.

Account IDs are implicitly assigned by the mining process, and come in several flavors, like in these examples:

Canonical ID:    [email-masked]/577
Mnemonic ID:    [email-masked]/motion
Domain ID:    [email-masked]/motion-custom

(Note: Domain IDs are optional and require extra configuration)

The protocol allows both interactive and non interactive payments.
All payments are non-repudiable, and it is possible to implement pull-payments as well as chargebacks.

Most of the protocol is quite advanced, but I have refrained from specifying some of the details, until the interested parties can give their feedback.

For more information, you can see the white paper and a short introductory video at:

https://www.easypaysy.org

or directly, by following these links:

White paper at https://www.easypaysy.org/assets/easypaysy_white_paper.pdf
Introductory video at https://www.youtube.com/watch?v=AOGBdyZbyoA

You can also get in contact with me in at:

[email-masked]

or using the project's email at:

[email-masked]

Best regards.